package initialize

import (
	"{{.Module}}/internal/conf"
	"{{.Module}}/internal/server/middleware"
	"github.com/gin-gonic/gin"
)

func Router(engine *gin.Engine) {
	public := engine.Group(conf.Config.System.RouterPrefix).Group("")
	public.Use()
	private := engine.Group(conf.Config.System.RouterPrefix).Group("")
	private.Use(middleware.JWTAuth()).Use(middleware.CasbinHandler())
}
